Bug 27136 - can't print on A4 paper
can't print on A4 paper
Status: CLOSED DUPLICATE of bug 27116
Product: Red Hat Linux
Classification: Retired
Component: LPRng (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-02-12 07:52 EST by Tim Waugh
Modified: 2007-04-18 12:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-17 17:34:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/var/spool/lpd/lp/status.lp (2.79 KB, text/plain)
2001-02-13 08:27 EST, Tim Waugh
no flags Details
printcap (371 bytes, text/plain)
2001-02-17 17:32 EST, David Sainty
no flags Details
printconf.switchboard.adl (1.86 KB, text/plain)
2001-02-17 17:33 EST, David Sainty
no flags Details
status.norm from /var/spool/lpd/norm/ (7.30 KB, text/plain)
2001-02-17 17:34 EST, David Sainty
no flags Details

  None (edit)
Description Tim Waugh 2001-02-12 07:52:30 EST
$ echo hello | mpage -1 -bA4 -o | lpr

Nothing is printed.

<?xml version="1.0"?>
<adm_context VERSION="0">
  <id NAME="local" SERIAL="981923872">
    <printconf TYPE="LIST">
      <print_queues TYPE="LIST">
        <letters ATOMIC="TRUE" TYPE="LIST">
          <alias_list ANONYMOUS="TRUE" TYPE="LIST">
          <queue_type TYPE="STRING" VALUE="LOCAL"/>
          <filter_type TYPE="STRING" VALUE="MAGICFILTER"/>
          <queue_data TYPE="LIST">
            <printer_device TYPE="STRING" VALUE="/dev/lp0"/>
          <filter_data TYPE="LIST">
            <mf_type TYPE="STRING" VALUE="MFOMATIC"/>
            <gs_driver TYPE="STRING" VALUE="bj200"/>
            <printer_id TYPE="INT" VALUE="58720"/>
        <pictures ATOMIC="TRUE" TYPE="LIST">
          <alias_list ANONYMOUS="TRUE" TYPE="LIST">
          <queue_type TYPE="STRING" VALUE="LOCAL"/>
          <filter_type TYPE="STRING" VALUE="NONE"/>
          <queue_data TYPE="LIST">
            <printer_device TYPE="STRING" VALUE="/dev/lp2"/>
          <filter_data TYPE="LIST">
Comment 1 Glen Foster 2001-02-12 18:01:12 EST
This defect is considered MUST-FIX for Florence Release-Candidate #1
Comment 2 Crutcher Dunnavant 2001-02-13 05:21:46 EST
Is 'nothing' printed, or do you get a blank page?
Comment 3 Tim Waugh 2001-02-13 05:30:58 EST
Just try it.

I don't think it even gets as far as printing nothing---there are errors in the
status file.
Comment 4 Tim Waugh 2001-02-13 08:27:20 EST
You don't even need a printer to do this.  I'll attach the status.lp file.
Comment 5 Tim Waugh 2001-02-13 08:27:57 EST
Created attachment 9900 [details]
Comment 6 Tim Waugh 2001-02-13 08:32:28 EST
Oh, wait, I see the problem now.  Why is it prepending '<</PageSize[612
792]/ImagingBBox null>>setpagedevice'?  That seems to be bogus.

Adding that line in after %%BeginProlog makes the page entirely empty, which is
what this will be.

This probably also explains why I've been having trouble with the top margin of
print jobs.
Comment 7 Tim Waugh 2001-02-13 20:37:48 EST
See also bug 27116.
Comment 8 David Sainty 2001-02-17 17:28:14 EST
Okay... tried to recreate the scenario Tim had above....

I used printconf-0.1-13, printconf-gui-0.1-13, mpage-2.5.1-5, LPRng-3.7.4-16.

I did:

 $ echo hello | mpage -1 -bA4 -o | lpr

and I got output. Printer is a Xerox DocuPrint N40, configured as a DocuPrint
N32...  I will attach the switchboard xml, printcap and status.<printername>
files now.
Comment 9 David Sainty 2001-02-17 17:32:51 EST
Created attachment 10340 [details]
Comment 10 David Sainty 2001-02-17 17:33:37 EST
Created attachment 10341 [details]
Comment 11 David Sainty 2001-02-17 17:34:40 EST
Created attachment 10342 [details]
status.norm from /var/spool/lpd/norm/
Comment 12 Crutcher Dunnavant 2001-02-20 00:10:20 EST

*** This bug has been marked as a duplicate of 27116 ***

Note You need to log in before you can comment on or make changes to this bug.